import { NsTypography } from '../';
import { NavTabBox, NavTabUnderLine, NavTitlesBox } from './NsNavTab.styled';
import { Show } from '../utility';

type NavTitlesProps = {
    tabs: any[];
    // eslint-disable-next-line no-unused-vars
    setActive(_x: string): void;
    active: string | null;
    tabTitleClassName?: string;
};

export const NavTitles = ({ tabs, setActive, active, tabTitleClassName }: NavTitlesProps) => {
    return (
        <NavTitlesBox className="desktop-nav-titles">
            {tabs?.map((tab) => {
                const handleMouseEnter = () => {
                    setActive(tab.tabName);
                };
                return (
                    <div
                        key={tab?.tabName}
                        data-testid={tab?.tabName}
                        className="relative cursor-pointer"
                        onMouseEnter={handleMouseEnter}
                    >
                        <NavTabBox
                            className="nav-tab-box"
                            data-testid={tab.tabName + '-list'}
                            transition={{
                                duration: 0.3,
                            }}
                            animate
                        >
                            <NsTypography
                                variant={tab.textVariant}
                                additionalProps={{ ...tab?.liveTag }}
                                className={`${tabTitleClassName} ${!active ? 'opacity-8' : ''}`}
                                color={tab.tabName === active ? tab.activeColor : tab.color}
                            >
                                {tab.tabName}
                            </NsTypography>
                        </NavTabBox>
                        <Show when={active === tab.tabName}>
                            <NavTabUnderLine data-testid="underline" layoutId="underline" color={tab.activeColor} />
                        </Show>
                    </div>
                );
            })}
        </NavTitlesBox>
    );
};
